io.etcd.jetcd.api

## Class AuthGrpc.AuthImplBase

- java.lang.Object
- - io.etcd.jetcd.api.AuthGrpc.AuthImplBase

All Implemented Interfaces:
  io.grpc.BindableService

Enclosing class:
  AuthGrpc

    public abstract static class AuthGrpc.AuthImplBase
    extends Object
    implements io.grpc.BindableService

### Constructor Summary

Constructors
Constructor and Description
`AuthImplBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `authDisable(AuthDisableRequest request, io.grpc.stub.StreamObserver<AuthDisableResponse> responseObserver)` AuthDisable disables authentication.
`void` `authEnable(AuthEnableRequest request, io.grpc.stub.StreamObserver<AuthEnableResponse> responseObserver)` AuthEnable enables authentication.
`void` `authenticate(AuthenticateRequest request, io.grpc.stub.StreamObserver<AuthenticateResponse> responseObserver)` Authenticate processes an authenticate request.
`io.grpc.ServerServiceDefinition` `bindService()`
`void` `roleAdd(AuthRoleAddRequest request, io.grpc.stub.StreamObserver<AuthRoleAddResponse> responseObserver)` RoleAdd adds a new role.
`void` `roleDelete(AuthRoleDeleteRequest request, io.grpc.stub.StreamObserver<AuthRoleDeleteResponse> responseObserver)` RoleDelete deletes a specified role.
`void` `roleGet(AuthRoleGetRequest request, io.grpc.stub.StreamObserver<AuthRoleGetResponse> responseObserver)` RoleGet gets detailed role information.
`void` `roleGrantPermission(AuthRoleGrantPermissionRequest request, io.grpc.stub.StreamObserver<AuthRoleGrantPermissionResponse> responseObserver)` RoleGrantPermission grants a permission of a specified key or range to a specified role.
`void` `roleList(AuthRoleListRequest request, io.grpc.stub.StreamObserver<AuthRoleListResponse> responseObserver)` RoleList gets lists of all roles.
`void` `roleRevokePermission(AuthRoleRevokePermissionRequest request, io.grpc.stub.StreamObserver<AuthRoleRevokePermissionResponse> responseObserver)` RoleRevokePermission revokes a key or range permission of a specified role.
`void` `userAdd(AuthUserAddRequest request, io.grpc.stub.StreamObserver<AuthUserAddResponse> responseObserver)` UserAdd adds a new user.
`void` `userChangePassword(AuthUserChangePasswordRequest request, io.grpc.stub.StreamObserver<AuthUserChangePasswordResponse> responseObserver)` UserChangePassword changes the password of a specified user.
`void` `userDelete(AuthUserDeleteRequest request, io.grpc.stub.StreamObserver<AuthUserDeleteResponse> responseObserver)` UserDelete deletes a specified user.
`void` `userGet(AuthUserGetRequest request, io.grpc.stub.StreamObserver<AuthUserGetResponse> responseObserver)` UserGet gets detailed user information.
`void` `userGrantRole(AuthUserGrantRoleRequest request, io.grpc.stub.StreamObserver<AuthUserGrantRoleResponse> responseObserver)` UserGrant grants a role to a specified user.
`void` `userList(AuthUserListRequest request, io.grpc.stub.StreamObserver<AuthUserListResponse> responseObserver)` UserList gets a list of all users.
`void` `userRevokeRole(AuthUserRevokeRoleRequest request, io.grpc.stub.StreamObserver<AuthUserRevokeRoleResponse> responseObserver)` UserRevokeRole revokes a role of specified user.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthImplBase

    public AuthImplBase()

### Method Detail

#### authEnable

    public void authEnable(AuthEnableRequest request,
                           io.grpc.stub.StreamObserver<AuthEnableResponse> responseObserver)

     AuthEnable enables authentication.

#### authDisable

    public void authDisable(AuthDisableRequest request,
                            io.grpc.stub.StreamObserver<AuthDisableResponse> responseObserver)

     AuthDisable disables authentication.

#### authenticate

    public void authenticate(AuthenticateRequest request,
                             io.grpc.stub.StreamObserver<AuthenticateResponse> responseObserver)

     Authenticate processes an authenticate request.

#### userAdd

    public void userAdd(AuthUserAddRequest request,
                        io.grpc.stub.StreamObserver<AuthUserAddResponse> responseObserver)

     UserAdd adds a new user.

#### userGet

    public void userGet(AuthUserGetRequest request,
                        io.grpc.stub.StreamObserver<AuthUserGetResponse> responseObserver)

     UserGet gets detailed user information.

#### userList

    public void userList(AuthUserListRequest request,
                         io.grpc.stub.StreamObserver<AuthUserListResponse> responseObserver)

     UserList gets a list of all users.

#### userDelete

    public void userDelete(AuthUserDeleteRequest request,
                           io.grpc.stub.StreamObserver<AuthUserDeleteResponse> responseObserver)

     UserDelete deletes a specified user.

#### userChangePassword

    public void userChangePassword(AuthUserChangePasswordRequest request,
                                   io.grpc.stub.StreamObserver<AuthUserChangePasswordResponse> responseObserver)

     UserChangePassword changes the password of a specified user.

#### userGrantRole

    public void userGrantRole(AuthUserGrantRoleRequest request,
                              io.grpc.stub.StreamObserver<AuthUserGrantRoleResponse> responseObserver)

     UserGrant grants a role to a specified user.

#### userRevokeRole

    public void userRevokeRole(AuthUserRevokeRoleRequest request,
                               io.grpc.stub.StreamObserver<AuthUserRevokeRoleResponse> responseObserver)

     UserRevokeRole revokes a role of specified user.

#### roleAdd

    public void roleAdd(AuthRoleAddRequest request,
                        io.grpc.stub.StreamObserver<AuthRoleAddResponse> responseObserver)

     RoleAdd adds a new role.

#### roleGet

    public void roleGet(AuthRoleGetRequest request,
                        io.grpc.stub.StreamObserver<AuthRoleGetResponse> responseObserver)

     RoleGet gets detailed role information.

#### roleList

    public void roleList(AuthRoleListRequest request,
                         io.grpc.stub.StreamObserver<AuthRoleListResponse> responseObserver)

     RoleList gets lists of all roles.

#### roleDelete

    public void roleDelete(AuthRoleDeleteRequest request,
                           io.grpc.stub.StreamObserver<AuthRoleDeleteResponse> responseObserver)

     RoleDelete deletes a specified role.

#### roleGrantPermission

    public void roleGrantPermission(AuthRoleGrantPermissionRequest request,
                                    io.grpc.stub.StreamObserver<AuthRoleGrantPermissionResponse> responseObserver)

     RoleGrantPermission grants a permission of a specified key or range to a specified role.

#### roleRevokePermission

    public void roleRevokePermission(AuthRoleRevokePermissionRequest request,
                                     io.grpc.stub.StreamObserver<AuthRoleRevokePermissionResponse> responseObserver)

     RoleRevokePermission revokes a key or range permission of a specified role.

#### bindService

    public final io.grpc.ServerServiceDefinition bindService()

Specified by:
  `bindService` in interface `io.grpc.BindableService`